#!/bin/bash

ps -C bibblepro >/dev/null 2>&1 && echo "quit bibblepro first" && exit 1
ps -C bibblelite >/dev/null 2>&1 && echo "quit bibblelite first" && exit 1

RC=1

USRHOME=${USRHOME:-$HOME}
USRNAME=${USRNAME:-$USER}

if [ "$EUID" != "0" ]; then
        echo 'You are not root. Please typein root password!'
        export USRHOME=$HOME
        export USRNAME=$USER
        su -c "sh ./$(basename $0)" || exit 1
        exit $RC
fi

chmod +x *.so || \
        { echo "could not make *.so executable"; exit 1; }

if [ -d /usr/lib/bibblelabs/bibblepro ]; then
        echo "installing for bibblepro..."
        cp *.so /usr/lib/bibblelabs/bibblepro/plugins || exit 1
        cp *.ui /usr/lib/bibblelabs/bibblepro/tools/Plugins || exit 1
        RC=0
        echo "ok."
fi

if [ -d /usr/lib/bibblelabs/bibblelite ]; then
        echo "installing for bibblelite..."
        cp *.so /usr/lib/bibblelabs/bibblelite/plugins || exit 1
        cp *.ui /usr/lib/bibblelabs/bibblelite/tools/Plugins || exit 1
        RC=0
        echo "ok."
fi

if [ -d Presets -a -d $USRHOME/.bibble/options ]; then
        echo "installing presets in $USRHOME/.bibble/options..."
        cp -p Presets/* $USRHOME/.bibble/options || exit 1
        echo "ok."
fi

[ $RC != 0 ] && echo "bibble not installed?"

exit $RC 
